branch.cpp File Reference
`#include "test/branch.hh"`
`#include <algorithm>`
`#include <map>`
`#include <vector>`
`#include <iostream>`
`#include <gecode/kernel.hh>`
`#include <gecode/int.hh>`
`#include <gecode/set.hh>`
`#include <gecode/float.hh>`
`#include <gecode/search.hh>`

Go to the source code of this file.

## Classes

class | Test::Branch::IntTestSpace
| Space for executing integer tests. More...
class | Test::Branch::BoolTestSpace
| Space for executing Boolean tests. More...
class | Test::Branch::SetTestSpace
| Space for executing Set tests. More...
class | Test::Branch::FloatTestSpace
| Space for executing Float tests. More...
class | Test::Branch::RunInfo
| Information about one test-run. More...

## Namespaces

namespace | Test
| General test support.
namespace | Test::Branch
| Tests for branchings.

## Functions

double | Test::Branch::tbl (const Gecode::Space &, double w, double b)
| Test function for tie-break limit function.
std::ostream & | operator<< (std::ostream &os, const Test::Branch::RunInfo &ri)
template<class TestSpace>
int | Test::Branch::solutions (TestSpace *c, Gecode::Search::Options &o, int maxNbSol=-1)
| Find number of solutions.

## Function Documentation

## operator<<()

std::ostream & operator<< | ( | std::ostream & | os,
|  | const Test::Branch::RunInfo & | ri )

Definition at line 401 of file branch.cpp.